package com.tptj.demo.hg.message.event.provider;

import com.fr.decision.system.bean.message.MessageUrlType;
import com.fr.decision.webservice.annotation.LoginStatusChecker;
import com.fr.decision.webservice.v10.message.MessageService;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.third.springframework.stereotype.Controller;
import com.fr.third.springframework.web.bind.annotation.RequestMapping;
import com.fr.third.springframework.web.bind.annotation.ResponseBody;


/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/6/10
 **/
@Controller(MsgResource.PLUGIN_ID)
@LoginStatusChecker(required = false)
@EnableMetrics
public class MsgResource {
    public static final String PLUGIN_ID = "com.tptj.demo.hg.message.event.provider.v10";
    @RequestMapping(value = "/executor/msg/demo")
    @ResponseBody
    @Focus(id = PLUGIN_ID,text = "MessageEventProvider")
    public String execute()throws Exception{
        MessageService.getInstance().sendMessage2SupperRole("这是一条测试消息","http://www.baidu.com", MessageUrlType.OUT);
        return "success";
    }
}
